OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGraph

# IGESGraph_HArray1OfTextDisplayTemplate Class Reference

`#include <IGESGraph_HArray1OfTextDisplayTemplate.hxx>`

## Public Member Functions
Standard_EXPORT | IGESGraph_HArray1OfTextDisplayTemplate (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESGraph_HArray1OfTextDisplayTemplate (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESGraph_TextDisplayTemplate)&V)
Standard_EXPORT void | Init (const Handle(IGESGraph_TextDisplayTemplate)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESGraph_TextDisplayTemplate)&Value)
const Handle_IGESGraph_TextDisplayTemplate & | Value (const Standard_Integer Index) const
Handle_IGESGraph_TextDisplayTemplate & | ChangeValue (const Standard_Integer Index)
const IGESGraph_Array1OfTextDisplayTemplate & | Array1 () const
IGESGraph_Array1OfTextDisplayTemplate & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
IGESGraph_Array1OfTextDisplayTemplate | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_HArray1OfTextDisplayTemplate::IGESGraph_HArray1OfTextDisplayTemplate | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESGraph_HArray1OfTextDisplayTemplate::IGESGraph_HArray1OfTextDisplayTemplate | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESGraph_TextDisplayTemplate)& | V
| ) |

## Member Function Documentation

const IGESGraph_Array1OfTextDisplayTemplate& IGESGraph_HArray1OfTextDisplayTemplate::Array1 | ( |  | ) | const

IGESGraph_Array1OfTextDisplayTemplate& IGESGraph_HArray1OfTextDisplayTemplate::ChangeArray1 | ( |  | ) |

Handle_IGESGraph_TextDisplayTemplate& IGESGraph_HArray1OfTextDisplayTemplate::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESGraph_HArray1OfTextDisplayTemplate::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESGraph_HArray1OfTextDisplayTemplate::Init | ( | const Handle(IGESGraph_TextDisplayTemplate)& | V | ) |

Standard_Integer IGESGraph_HArray1OfTextDisplayTemplate::Length | ( |  | ) | const

Standard_Integer IGESGraph_HArray1OfTextDisplayTemplate::Lower | ( |  | ) | const

void IGESGraph_HArray1OfTextDisplayTemplate::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESGraph_TextDisplayTemplate)& | Value
| ) |

Standard_Integer IGESGraph_HArray1OfTextDisplayTemplate::Upper | ( |  | ) | const

const Handle_IGESGraph_TextDisplayTemplate& IGESGraph_HArray1OfTextDisplayTemplate::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESGraph_Array1OfTextDisplayTemplate IGESGraph_HArray1OfTextDisplayTemplate::myArray`[private]`

The documentation for this class was generated from the following file:

- IGESGraph_HArray1OfTextDisplayTemplate.hxx